=== debian/changelog ===
imgui (1.79+ds-1) unstable; urgency=medium

  * New upstream release
  * Include misc/freetype

 -- Yangfl <mmyangfl@gmail.com>  Thu, 29 Oct 2020 00:32:44 +0800

imgui (1.77+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload for testing migration. 

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Oct 2020 22:28:09 -0400

imgui (1.77+ds-1) unstable; urgency=medium

  * Initial release (Closes: #876213)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 22 Jul 2020 12:50:37 +0800
