=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/pkg-info.mk

export VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+[a-z]*//')
export MULTIARCH := $(DEB_HOST_MULTIARCH)


%:
	dh $@
