=== debian/control ===
Source: imgui
Section: libs
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 pkg-config,
 libstb-dev,
 libfreetype-dev,
 liballegro5-dev,
 libglfw3-dev,
 freeglut3-dev,
 libglew-dev,
 libsdl2-dev,
 libvulkan-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/ocornut/imgui
Vcs-Git: https://salsa.debian.org/yangfl-guest/imgui.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/imgui

Package: libimgui-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libstb-dev,
 ${misc:Depends},
Suggests:
 liballegro5-dev,
 libglfw3-dev,
 freeglut3-dev,
 libglew-dev,
 libsdl2-dev,
 libvulkan-dev,
Description: Bloat-free Immediate Mode Graphical User interface for C++
 Dear ImGui is a bloat-free graphical user interface library for C++. It outputs
 optimized vertex buffers that you can render anytime in your 3D-pipeline
 enabled application. It is fast, portable, renderer agnostic and self-contained
 (no external dependencies).
 .
 This package contains the development files.
