=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,8 @@
 
 %:
 	dh $@
+
+execute_after_dh_installexamples:
+	$(RM) \
+		debian/libimgui-dev/usr/share/doc/libimgui-dev/examples/backends/*.h \
+		debian/libimgui-dev/usr/share/doc/libimgui-dev/examples/backends/*.o
