=== examples/example_glut_opengl2/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	CFLAGS = $(CXXFLAGS)
 endif
 
-ifeq ($(findstring MINGW,$(UNAME_S)),MINGW)
+ifeq ($(OS), Windows_NT)
 	ECHO_MESSAGE = "MinGW"
 	LIBS += -lgdi32 -lopengl32 -limm32
 ifeq ($(shell pkg-config freeglut --exists 2> /dev/null && echo yes || echo no),yes)
