=== debian/changelog ===
imgui (1.86+ds-1build1) jammy; urgency=medium

  * No change rebuild without LTO. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 08 Mar 2022 20:43:46 +1300

imgui (1.86+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Yangfl <mmyangfl@gmail.com>  Sun, 23 Jan 2022 16:30:13 +0800
