=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsdl2-dev,
  libvulkan-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ocornut/imgui
 Vcs-Git: https://salsa.debian.org/yangfl-guest/imgui.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/imgui
